> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List compliance alerts



## OpenAPI

````yaml /openapi.json get /compliance/alerts
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/alerts:
    get:
      tags:
        - compliance
      summary: List compliance alerts
      operationId: ComplianceController_listAlerts
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: acknowledged
          required: false
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAlertsOutput'
components:
  schemas:
    ListAlertsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/ComplianceAlertDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    ComplianceAlertDto:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        checkId:
          type: string
        createdAt:
          format: date-time
          type: string
        acknowledged:
          type: boolean
        acknowledgedAt:
          format: date-time
          type: string
        externalId:
          type: string
        data:
          $ref: '#/components/schemas/ComplianceDataItem'
      required:
        - type
        - id
        - checkId
        - createdAt
        - acknowledged
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    ComplianceDataItem:
      type: object
      properties:
        lists:
          type: array
          items:
            type: string
        comment:
          type: string
        externalId:
          type: string
        rawdata:
          type: array
          items:
            type: object
      required:
        - lists

````